summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh15
1 files changed, 13 insertions, 2 deletions
diff --git a/build.sh b/build.sh
index 2dcd225..7b59289 100755
--- a/build.sh
+++ b/build.sh
@@ -1,11 +1,22 @@
#!/bin/bash
+CMD="$1"
+
+if [[ -z "${CMD}" ]]; then
+ export CMD="default"
+fi
+
mkdir build
# this need for some outdated os
mkdir m4
autoreconf -i
cd build
-../configure --enable-sanitize
+if [[ "${CMD}" == "default" ]]; then
+ ../configure --enable-sanitize
+elif [[ "${CMD}" == "old" ]]; then
+ ../configure
+fi
make -j3
+export RET=$?
cd -
-exit $?
+exit $RET